slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPWhich

Determines which part of the spectrum is requested

### Synopsis

    typedef enum { NEP_LARGEST_MAGNITUDE=1,
                   NEP_SMALLEST_MAGNITUDE,
                   NEP_LARGEST_REAL,
                   NEP_SMALLEST_REAL,
                   NEP_LARGEST_IMAGINARY,
                   NEP_SMALLEST_IMAGINARY,
                   NEP_TARGET_MAGNITUDE,
                   NEP_TARGET_REAL,
                   NEP_TARGET_IMAGINARY,
                   NEP_ALL,
                   NEP_WHICH_USER } NEPWhich;

### See Also

NEPSetWhichEigenpairs(), NEPGetWhichEigenpairs()

### Level

intermediate

### Location

include/slepcnep.h
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages